Bug 1311604 - xorg-x11-drv-intel 2.99.917-19.20151206.fc23 caused compiz crash when resing window quickly
xorg-x11-drv-intel 2.99.917-19.20151206.fc23 caused compiz crash when resing ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-intel (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-24 10:11 EST by LiuYan
Modified: 2016-12-20 13:59 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 13:59:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screen record: with xorg-x11-drv-intel-2.99.917-19.20151206, compiz-0.8.12 crash when resizing window quickly (1.03 MB, application/octet-stream)
2016-02-24 10:11 EST, LiuYan
no flags Details

  None (edit)
Description LiuYan 2016-02-24 10:11:54 EST
Created attachment 1130240 [details]
Screen record: with xorg-x11-drv-intel-2.99.917-19.20151206, compiz-0.8.12 crash when resizing window quickly

Description of problem:
  I upgrade xorg-x11-drv-intel package to 2.99.917-19.20151206.fc23 recently, now when resizing window quickly (either drag the bottom-right corner of window, or press ALT + MouseButton2), window manager switched to marco automatically, and compiz process is gone.

  Downgraded xorg-x11-drv-intel to 2.99.917-16.20150729.fc23 will fix this issue.

  Related compiz bug report:
  https://github.com/raveit65/compiz/issues/1


Version-Release number of selected component (if applicable):
  2.99.917-19.20151206.fc23 

How reproducible:
  Always

Steps to Reproduce:
1. login to MATE desktop
2. start compiz window manager if you're using other window manager
3. open mate-terminal or leafpad application, then keep resizing them

Actual results:
  window manager switched to marco (which means compiz crashed, compiz process will be gone)

Expected results:
  don't crash compiz


Additional info:
Comment 1 LiuYan 2016-02-24 10:58:16 EST
I can reproduce this issue on my laptop and home PC.

CPU & graphic controller:

- Intel(R) Core(TM) i5-3317U CPU @ 1.70GHz
  00:02.0 VGA compatible controller: Intel Corporation 3rd Gen Core processor Graphics Controller (rev 09) (prog-if 00 [VGA controller])

- Intel(R) Core(TM) i3-4130 CPU @ 3.40GHz
  00:02.0 VGA compatible controller: Intel Corporation 4th Generation Core Processor Family Integrated Graphics Controller (rev 06) (prog-if 00 [VGA controller])
Comment 2 Anthony Name 2016-03-08 06:10:13 EST
I can also reproduce this on a number of machines using the native Intel driver.

Dell XPS 15 
Intel(R) Core(TM) i7-4702HQ CPU @ 2.20GHz
00:02.0 VGA compatible controller: Intel Corporation 4th Gen Core Processor Integrated Graphics Controller (rev 06)

Desktop machine
Intel(R) Core(TM) i5-4590 CPU @ 3.30GHz
00:02.0 VGA compatible controller: Intel Corporation Xeon E3-1200 v3/4th Gen Core Processor Integrated Graphics Controller (rev 06)
Comment 3 Anthony Name 2016-03-08 06:23:15 EST
If running Compiz manually (to capture the output), compiz reports as follows when crashing.

failed to create drawable
compiz (core) - Warn: glXCreatePixmap failed

Launching fallback window manager
Comment 4 Anthony Name 2016-03-08 06:34:39 EST
Confirm revert to 2.99.917-16.20150729.fc23 stops the problem.
Comment 5 Anthony Name 2016-03-08 08:05:11 EST
Just to add that using xorg-x11-drv-intel-2.99.917-23.intel20154.x86_64 which is the latest from the Intel 01 website also has the problem, so the only known working version at the moment is 2.99.917-16.20150729.fc23.
Comment 6 Fedora End Of Life 2016-11-24 10:44:50 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 13:59:49 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.